body {
    display: flex;
    justify-content: center;
    align-items: center;
}
.container{
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner {
    width: 25px;
    height: 25px;
    border: 3px solid #ddd;
    border-top-color: #3490dc;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
}

.form-input{
    width: 100%;
    height: 5vh;
    border-radius: 1rem;
    padding-left: 1rem;
    margin-bottom: 0.5rem;
    border: none;
    background-color:  #39393B;
    color: white;
}

@keyframes spin {
    to { transform: rotate(360deg); }
}

.save-button,
.submit-button{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 2rem;
    position: relative;
    gap: 8px;
    height: 5vh;
    border-radius: 1rem;
    background: #283787;
    background: linear-gradient(90deg, rgba(40, 55, 135, 1) 0%, rgba(138, 58, 106, 1) 60%, rgba(231, 52, 71, 1) 91%);
    background-size: 200% 100%;
    background-position: left;
    transition: background-position 1s ease;
    border: none;
    color: white;
    font-weight: bold;
    font-size: 15px;
    cursor: pointer;
}
.save-button:hover,
.submit-button:hover{
    background-position: right;
}

#login-box {
    background-color: #222326;
    width: 70vw;
    margin-top: 25vh;
    height: auto;
    padding: 3rem;
    border-radius: 2rem;
}

@media (min-width: 1024px){

#login-box {
    width: 40vw;
}

}

::placeholder {
    color: white;
    opacity: 60%;
}

.header-cancel-btn{
    display: flex;
    justify-content: end;
    width: 100%;
    margin-bottom: 1rem;
}

.fa-xmark:hover{
    opacity: 40%;
}

.headerLabel{
    display: flex;
    justify-content: center;
    font-size: 40px;
    font-weight: bold;
    margin-bottom: 1rem;
}
